# Uses of Class
io.github.jdbcx.driver.WrappedStatement

Packages that use WrappedStatement
Package
Description
io.github.jdbcx.driver

## Uses of WrappedStatement in io.github.jdbcx.driver

Subclasses of WrappedStatement in io.github.jdbcx.driver
Modifier and Type
Class
Description
`class`
`WrappedCallableStatement`
This class serves as a wrapper for a `CallableStatement`.
`class`
`WrappedPreparedStatement`
This class serves as a wrapper for a `PreparedStatement`.
Fields in io.github.jdbcx.driver declared as WrappedStatement
Modifier and Type
Field
Description
`protected final WrappedStatement`
WrappedResultSet.`stmt`
Methods in io.github.jdbcx.driver that return WrappedStatement
Modifier and Type
Method
Description
`WrappedStatement`
WrappedConnection.`createStatement()`
`WrappedStatement`
WrappedConnection.`createStatement(int resultSetType, int resultSetConcurrency)`
`WrappedStatement`
WrappedConnection.`createStatement(int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`protected WrappedStatement`
WrappedStatement.`newOrphanStatement()`
Methods in io.github.jdbcx.driver with parameters of type WrappedStatement
Modifier and Type
Method
Description
`protected List<String>`
WrappedConnection.`handleResults(String query, WrappedStatement stmt)`
Constructors in io.github.jdbcx.driver with parameters of type WrappedStatement
Modifier
Constructor
Description
`protected`
`WrappedResultSet(WrappedStatement stmt, ResultSet rs)`